import javax.swing.*;
import java.awt.GridLayout;
import java.awt.event.*;
import java.awt.*;

public class MenuInit extends JFrame{

    // bouton en global pour les ecouteurs
    String b1 = "  RECORDS  ";
    String b2 = "  JEU SIMPLE  ";
    String b4 = "  OPTIONS  ";
    String b5 = "  DA EXIT  ";

    ImageIcon b1Icon = new ImageIcon("images/middle.gif");
    ImageIcon b2Icon = new ImageIcon("images/pacman_east_0.gif");
    ImageIcon b4Icon = new ImageIcon("images/Ghost_entier.gif");
    ImageIcon b5Icon = new ImageIcon("images/ghost_scared.gif");
    
    JButton b_records = new JButton(b1,b1Icon);
    JButton b_da_exit = new JButton(b5,b5Icon);
    JButton b_options = new JButton(b4,b4Icon);
    JButton b_jeu_simple = new JButton(b2,b2Icon);

    JFrame frame1;

    //construire la grille d'affichage pour le GridBagLayout
    public void buildConstraints(GridBagConstraints gbc, int gx, int gy, 
				 int gw, int gh, int wx, int wy, int ix,
				 int iy){
	gbc.gridx = gx;
	gbc.gridy = gy;
	gbc.gridwidth = gw;
	gbc.gridheight = gh;
	gbc.weightx = wx;
	gbc.weighty = wy;
	gbc.ipadx = ix;
	gbc.ipady = iy;
    }

    public Insets getInsets(){
	return new Insets(30,100,30,100);
    }
    
    public MenuInit(ActionListener al){
	super("Pacman");

	GridBagLayout gridbag = new GridBagLayout();
	GridBagConstraints constraints = new GridBagConstraints();

	// b_records
	buildConstraints(constraints,0,0,1,1,100,100,100,50);
	constraints.fill = GridBagConstraints.BOTH;
	constraints.anchor = GridBagConstraints.CENTER;
	gridbag.setConstraints(b_records, constraints);
	b_records.addActionListener(al);
	//b_records.setMnemonic('r');
	//b_records.setToolTipText("Affiche la table des scores.");

	// b_jeu_simple
	buildConstraints(constraints,0,1,1,1,100,100,100,50);
	constraints.fill = GridBagConstraints.BOTH;
	constraints.anchor = GridBagConstraints.CENTER;//CENTER;
	gridbag.setConstraints(b_jeu_simple, constraints);
	b_jeu_simple.addActionListener(al);
	//b_jeu_simple.setMnemonic('j');
	//b_jeu_simple.setToolTipText("jeu tout seul.");

	// b_options
	buildConstraints(constraints,0,2,1,1,100,100,100,50);
	constraints.fill = GridBagConstraints.BOTH;
	constraints.anchor = GridBagConstraints.CENTER;
	gridbag.setConstraints(b_options, constraints);
	b_options.addActionListener(al);
	//b_options.setMnemonic('o');
	//b_options.setToolTipText("Options du jeu.");

	// b_da_exit
	buildConstraints(constraints,0,3,1,1,100,100,100,50);
	constraints.fill = GridBagConstraints.BOTH;
	constraints.anchor = GridBagConstraints.CENTER;
	gridbag.setConstraints(b_da_exit, constraints);
	b_da_exit.addActionListener(al);
	//b_da_exit.setMnemonic('e');
	//b_da_exit.setToolTipText("Quittez le jeu.");

	JPanel pane = new JPanel();

	pane.add(b_records);
	pane.add(b_jeu_simple);
	pane.add(b_options);
	pane.add(b_da_exit);

	pane.setLayout(gridbag);

	//faire du panneau le panneau de contenu du cadre. pane=container
	setContentPane(pane);
    }


}
