import java.awt.event.*;
import java.awt.image.*;
import java.awt.*;
import java.util.*;
import java.lang.*;
import javax.swing.*;
import java.awt.GridLayout;
import java.awt.event.*;

public class Fenetre extends Canvas implements Runnable  {
    Tablo tab;
    Ecouteur E;

    Image offScrImage;
    Graphics offScrGC;
    
    Thread t;
    
    int largeur, hauteur;

    public Fenetre() {
	// Classe anonyme interne pour gerer l'evenement resize()
	ComponentListener resizeCallback = new ComponentAdapter() {
	    public void componentResized(ComponentEvent e) {
		largeur = getSize().width;
		hauteur = getSize().height;

		offScrImage = createImage(largeur, hauteur);
		offScrGC = offScrImage.getGraphics();
		offScrGC.setColor(Color.red);
		System.out.println("Canvas retaille : width = " + largeur + 
				   " height = " + hauteur);
		
		tab.dessineFond(offScrGC);
	    }
	}; // Fin de la classe anonyme
	
	
	addComponentListener(resizeCallback);
	
	tab=new Tablo(this,offScrGC);
	E=new Ecouteur(tab);


	this.setBackground(Color.black);

	addKeyListener(E);
	
	t=new Thread(this);
	t.start();
    }

    public Fenetre(int pacvitesse,int fantvitesse,Observer o) {
	//un peu de surcharge de methode constructeur
	//G rajoute o en param
	ComponentListener resizeCallback = new ComponentAdapter() {
	    public void componentResized(ComponentEvent e) {
		largeur = getSize().width;
		hauteur = getSize().height;
		offScrImage = createImage(largeur, hauteur);
		offScrGC = offScrImage.getGraphics();
		offScrGC.setColor(Color.red);
		System.out.println("Canvas retaille : width = " + largeur + 
				   " height = " + hauteur);
		tab.dessineFond(offScrGC);
	    }
	}; 
	addComponentListener(resizeCallback);
	tab=new Tablo(this,offScrGC,pacvitesse,fantvitesse,o);
	//G rajoute o en param
	E=new Ecouteur(tab);
	this.setBackground(Color.black);
	addKeyListener(E);
	t=new Thread(this);
	t.start();
    }
    
    public void update(Graphics g) {
	paint(g);
    }
    
    public void run(){
	while (true) {
	    repaint();
	    try{ 
		t.sleep(1);
	    }catch (InterruptedException e){
		System.out.println("Erreur ds ls sleep de la fentre");
		e.printStackTrace();
	    }
	}
    }
        
    
    public void paint(Graphics g) {
	tab.dessineToi(offScrGC,this);
	g.drawImage(offScrImage, 0, 0, this);
    }
    
    public Dimension getPreferredSize() {
	return getMinimumSize();
    }
    
    public Dimension getMinimumSize() {
	return new Dimension(550,650);
    }

    protected void finalize() throws Throwable{
	System.out.println("on est dans finalize");
	super.finalize();
	tab.killGame();
    }

    
}





